# SH31 - List all logistic classes

DescriptionResults are sorted by index, set in the back-office
Call FrequencyRecommended usage: Once per dayMaximum usage: Once per dayLocalizationThis resource supports locale parameter (see documentation)Localized output fields will be highlighted with an icon:

Endpoint: GET /api/shipping/logistic_classes
Security: Shop-API-Key

## Security:

  - `Shop-API-Key` (unknown)
    apiKey in header Authorization scopes: ROLE_SHOP_ADMIN, ROLE_PARTNER_SHIPPING_SETTINGS_READ

## Query parameters:

  - `shop_id` (integer)
    Use this parameter when your user has access to several shops. If not specified, the shop_id from your default shop will be used.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `logistic_classes` (array, required)
    List of logistic classes

  - `logistic_classes.code` (string, required)
    Logistic class code

  - `logistic_classes.description` (string, required)
    Logistic class description

  - `logistic_classes.label` (string, required)
    Logistic class label

## Response 200 examples:

  - `Example with business values (application/json)` (unknown)

  - `Complete example with value types (application/json)` (unknown)

